import requests
from bs4 import BeautifulSoup
import csv
import os


def log_to_csv(csv_filepath, status):
    try:
        with open(csv_filepath, mode='a', newline='') as file:
            writer = csv.writer(file)
            writer.writerow([status])
    except Exception as e:
        print(f"Error logging status to CSV: {e}")


def get_code_and_pre_content(url, output_csv):
    # Send a GET request to the URL
    response = requests.get(url)

    # Check if the request was successful (status code 200)
    if response.status_code == 200:
        # Parse the HTML content using BeautifulSoup
        soup = BeautifulSoup(response.content, 'html.parser')

        # Find all 'pre' tags
        pre_elements = soup.find_all('pre')

        user_name = os.getlogin()
        csv_filepath = f"C:\\USERS\\{user_name}\\Downloads\\{output_csv}.csv"

        # Print the content of the 'code' elements inside 'pre' tags
        for pre_element in pre_elements:
            code_element = pre_element.find('code')
            if code_element:
                content = code_element.get_text().strip()
                if content:  # Skip empty lines
                    print(content)
                    log_to_csv(csv_filepath, content)

    else:
        print(f"Failed to retrieve the webpage. Status code: {response.status_code}")

# Example usage
url = input("Enter the URL of the website: ")
output_csv = input("Enter the csv file name to save the content: ")
get_code_and_pre_content(url, output_csv)
